---
title: "Find Business Loyalty Plan"
description: "Use GET /loyalty_plans/{loyalty_plan_id}/businesses/{business_id} to retrieve the business-specific settings for one loyalty plan."
canonical: https://docs.ordering.co/api-reference/guides/find-business-loyalty-plans/
---

# Find Business Loyalty Plan

> **API operation:** [Open the endpoint in Scalar](https://docs.ordering.co/api-reference/#tag/loyalty_plans/GET/loyalty_plans/{loyalty_plan_id}/businesses/{business_id})

Use `GET /loyalty_plans/{loyalty_plan_id}/businesses/{business_id}` to retrieve the business-specific settings for one loyalty plan. The operation is `BusinessLoyaltyPlan.find`.

The operation requires administrator authentication. `loyalty_plan_id` identifies the plan and `business_id` identifies the associated business. The response can include the business's accumulation, redemption, maximum, and expiration overrides.

For the surrounding resource concepts, see [Business loyalty plans model](https://docs.ordering.co/api-reference/guides/business-loyalty-plans-model/).

## OpenAPI reference

**Operation:** `GET /loyalty_plans/{loyalty_plan_id}/businesses/{business_id}`

**Path parameters**

| Name              | Type    | Required | Description |
| ----------------- | ------- | -------- | ----------- |
| `loyalty_plan_id` | integer | Yes      | —           |
| `business_id`     | integer | Yes      | —           |

**Query parameters**

| Name     | Type   | Required | Description                                                                                                                |
| -------- | ------ | -------- | -------------------------------------------------------------------------------------------------------------------------- |
| `params` | string | No       | Comma-separated list of fields. It is intersected with the model’s $fillable; an empty or invalid list returns all fields. |

**Responses**

| Code | Description                           |
| ---- | ------------------------------------- |
| 200  | OK                                    |
| 400  | Bad Request (ErrorResponse)           |
| 401  | Unauthorized                          |
| 404  | Not Found                             |
| 429  | Too Many Requests (ErrorResponse)     |
| 500  | Internal Server Error (ErrorResponse) |
| 503  | Service Unavailable (ErrorResponse)   |

[Open this operation in the API reference](https://docs.ordering.co/api-reference/#tag/loyalty_plans/GET/loyalty_plans/{loyalty_plan_id}/businesses/{business_id})
